    assets =
{
    Asset("ANIM", "anim/tikitorch.zip"),
    Asset("SOUND", "sound/common.fsb"),
}

    local prefabs = 
{
    "tikitorchflame",
}

local function onnear(inst)
    if not inst.components.burnable:IsBurning() then
    inst.components.burnable:Ignite()
    inst.components.burnable:SetFXLevel(1)    
end
    if not inst.components.cooker then
    inst:AddComponent("cooker")
    end
end

local function onfar(inst)
    if inst.components.cooker then
    inst:RemoveComponent("cooker")
end
    if inst.components.burnable then
    inst.components.burnable:Extinguish()
    end
end

local function onhammered(inst, worker)
	  inst.components.lootdropper:DropLoot()
	  inst.SoundEmitter:PlaySound("dontstarve/common/destroy_wood")
	  inst:Remove()
   	inst.AnimState:PlayAnimation("hit")
	  inst.AnimState:PushAnimation("idle")
end

local function fn()
	  local inst = CreateEntity()
	  local trans = inst.entity:AddTransform()
	  local anim = inst.entity:AddAnimState()
	  inst.entity:AddSoundEmitter()

    anim:SetBank("tikitorch")
    anim:SetBuild("tikitorch")
    anim:PlayAnimation("idle", true)

    local minimap = inst.entity:AddMiniMapEntity()
    minimap:SetIcon( "tikitorch.tex" )

    MakeObstaclePhysics(inst, 0.33)    

    inst:AddComponent("inspectable")

    inst:AddComponent("burnable")
    inst.components.burnable:AddBurnFX("tikitorchflame", Vector3(-1, -580, 0), "fire_marker")
 
    inst:AddComponent("sanityaura")
    inst.components.sanityaura.aura = TUNING.SANITYAURA_SMALL

    inst:AddComponent("lootdropper")

    inst:AddComponent("workable")
    inst.components.workable:SetWorkAction(ACTIONS.HAMMER)
    inst.components.workable:SetWorkLeft(2)
    inst.components.workable:SetOnFinishCallback(onhammered)

    inst:AddComponent( "playerprox" )
    inst.components.playerprox:SetDist(10,12)
    inst.components.playerprox:SetOnPlayerNear(onnear)
    inst.components.playerprox:SetOnPlayerFar(onfar)	
    return inst
end

return Prefab( "common/tikitorch", fn, assets, prefabs),
     MakePlacer("common/tikitorch_placer", "tikitorch", "tikitorch", "idle")          